#!/bin/bash
source "${AGENT_PATH}/_common.sh"
_check_required_env_vars "VOLUME_NAME"

# Simple Object Storage Backup Script
# Creates a backup tarball of the volume contents.



# HOT backup is fine for simple-object-storage
autobackup "$1" "$2" "volume=${VOLUME_NAME}" || _die "Failed to create backup"

echo "Backup complete: ${BACKUP_FILE}"
